net.dontdrinkandroot.wicket.model

## Class ListItemModel<T>

- java.lang.Object
- - net.dontdrinkandroot.wicket.model.ListItemModel<T>

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<T>, org.apache.wicket.util.io.IClusterable

    public class ListItemModel<T>
    extends Object
    implements org.apache.wicket.model.IModel<T>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListItemModel(org.apache.wicket.model.IModel<List<T>> model, int idx)`

### Method Summary

Methods
`void` `detach()`
`T` `getObject()`
`void` `setObject(T object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListItemModel

    public ListItemModel(org.apache.wicket.model.IModel<List<T>> model,
                 int idx)

### Method Detail

#### detach

    public void detach()

Specified by:
  `detach` in interface `org.apache.wicket.model.IDetachable`

#### getObject

    public T getObject()

Specified by:
  `getObject` in interface `org.apache.wicket.model.IModel<T>`

#### setObject

    public void setObject(T object)

Specified by:
  `setObject` in interface `org.apache.wicket.model.IModel<T>`